unit Unit2;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls,
  WEBLib.ContinuousScroll;

type
  TForm2 = class(TWebForm)
    WebButton1: TWebButton;
    WebContinuousScroll1: TWebContinuousScroll;
    procedure WebButton1Click(Sender: TObject);
    procedure WebContinuousScroll1FetchNextPage(Sender: TObject; APageSize,
      APageNumber: Integer; var AURL: string);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses
  Unit4;

{$R *.dfm}

procedure TForm2.WebButton1Click(Sender: TObject);
begin
  Form1 := TForm1.CreateNew;
  Form1.Popup := True;
  Form1.Border := fbSingle;
  Form1.ShowModal;
end;

procedure TForm2.WebContinuousScroll1FetchNextPage(Sender: TObject; APageSize,
  APageNumber: Integer; var AURL: string);
begin
  AURL := 'https://tmswebcore.com:8082/?page=' + IntToStr(APageNumber) + '&per_page=' + IntToStr(APageSize);
end;

end.